<?php
/**
 * EPL eSync Pro(visioning)
 *
 * @link www.egroupware.org
 * @author Ralf Becker <rb(at)egroupware.org>
 * @copyright (c) 2012 by Ralf Becker <rb(at)egroupware.org>
 * @package esyncpro
 * @subpackage setup
 * @version $Id$
 */

use EGroupware\Api;

// create standard profile, defaults come from tables_current
$GLOBALS['egw_setup']->db->insert('egw_esync_policies', array(
	'policy_name' => 'Default',
), false, __LINE__, __FILE__, 'esyncpro');

// save id as standard policy
Api\Config::save_value('standard_policy', $GLOBALS['egw_setup']->db->get_last_insert_id('egw_esync_policies', 'policy_id'), 'esyncpro');

// give Admins group rights for eSync Pro
$admingroup = $GLOBALS['egw_setup']->add_account('Admins','Admin','Group',False,False);
$GLOBALS['egw_setup']->add_acl('esyncpro','run',$admingroup);
