<?php
/**
 * EPL eSync Pro(visioning)
 *
 * @link www.egroupware.org
 * @author Ralf Becker <rb(at)egroupware.org>
 * @copyright (c) 2012-16 by Ralf Becker <rb(at)egroupware.org>
 * @package esyncpro
 * @subpackage setup
 */

$setup_info['esyncpro']['name']        = 'esyncpro';
$setup_info['esyncpro']['version']     = '17.1';
$setup_info['esyncpro']['app_order']   = 1;
$setup_info['esyncpro']['tables']      = array('egw_esync_policies','egw_esync_devices');
$setup_info['esyncpro']['enable']      = 2;		// no navbar
$setup_info['esyncpro']['autoinstall'] = true;	// install automatically on update

$setup_info['esyncpro']['author'] = array(
	'name'  => 'Ralf Becker',
	'email' => 'rb@egroupware.org',
);
$setup_info['esyncpro']['maintainer'] = array(
	'name'  => 'EGroupware GmbH',
	'url'   => 'http://www.egroupware.org',
);
$setup_info['esyncpro']['license']  = array(
	'name' => 'EGroupware EPL license',
	'url'  => 'http://www.egroupware.org/EPL',
);
$setup_info['esyncpro']['description'] = 'Part of EPL EGroupware packages from EGroupware GmbH';
$setup_info['esyncpro']['note'] = 'For more information please visit: <a href="http://www.egroupware.org/EPL" target="_blank">www.egroupware.org/EPL</a>';

$setup_info['esyncpro']['hooks']['admin'] = 'esyncpro_ui::admin';
$setup_info['esyncpro']['hooks']['deleteaccount'] = 'esyncpro.esyncpro_device.deleteaccount';
$setup_info['esyncpro']['hooks']['esync_extra_apps'] = 'esyncpro_zpush::esync_extra_apps';

/* Dependencies for this app to work */
$setup_info['esyncpro']['depends'][] = array(
	'appname' => 'api',
	'versions' => Array('17.1')
);
